[ic] Need a little advice Please: w/Debian sid Apache2 setup.

John Foster jfoster at augustmail.com
Sun Aug 15 16:50:21 EDT 2004

I have been away from IC for several years but I have decided to renew my 
education on the new stable version.
Can anyone tell me exactly what the steps are to install & run IC on a Debian 
sid version Linux system. I have been trying (off & on) to get it to work for 
over a month and so far I have had to resort to installing the IC tarball as 
an unprivileged user and install a second perl of the non-threaded variety  
from a tarball with the mods from cpan . Is this really necessary since there 
is a Debian version. Debian currently runs a threaded perl on its native 
install; so how are  you doing it {Stefan)? I have managed to get catalogs to 
make and run but now I am getting errors saying the admin interface is 
crapping out with this error:
Server error!

 The server encountered an internal error and was unable to complete your 

Error message: 
Premature end of script headers: invent 

If you think this is a server error, please contact the webmaster. 
I get this error when I try to do some of the tool bar functions; create a new 
account or open the check out.
I am running Apache2 and I could not get a clean cpan install of Mod-Perl but 
I do have Mod-Perl installed on Apache2 from Debian sources and since the 
catalog makes & runs I thought  that was not an issue.

John Foster

More information about the interchange-users mailing list